查询Walmart在线商品
POST
/basicOpen/multiplatform/walmart/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/walmart/list | HTTPS | POST | 1 |
请求参数
principalUidsarray<any>offsetintegerlengthintegerstore_idsarray<any>statusarray<any>fulfillment_typesarray<any>listing_time_fieldintegerlisting_start_timestringlisting_end_timestringsearch_fieldintegersearch_single_valuestring请求示例
{
"principalUids": [
10001,
10002
],
"store_ids": [
"110000000018008002",
"110000000018008001"
],
"status": [
0,
1
],
"fulfillment_types": [
0
],
"offset": 0,
"length": 50,
"search_field": 1,
"search_single_value": "test",
"listing_time_field": 1,
"listing_start_time": "2024-09-01",
"listing_end_time": "2024-09-13"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
listarray<object>必填隐藏子属性
item_urlstring必填item_idstring必填picture_urlstring必填mskustring必填titlestring必填local_namestring必填local_skustring必填status_namestring必填store_idstring必填store_namestring必填currency_iconstring必填pricestring必填available_quantityinteger必填quantityAdjustAfterstring必填quantityAdjustBeforestring必填quantityUserIdstring必填quantityUserIdNamestring必填wfs_available_quantityinteger必填buy_box_pricestring必填buy_box_shipping_pricestring必填gtinstring必填upcstring必填product_tax_codestring必填offer_start_datestring必填offer_end_datestring必填review_countstring必填average_ratingstring必填brandstring必填fulfillment_typeinteger必填fulfillment_type_namestring必填competitor_pricestring必填competitor_ship_pricestring必填listing_start_timestring必填listing_end_timestring必填variant_unique_idstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583.105.17262205381773389",
"response_time": "2024-09-13 17:42:18",
"data": [
{
"item_url": "http: //www.walmart.com/ip/FBSPORT-Rounness-Tracks-Home-Use-Training-Cheerleading-Yoga-Water-Pum15576",
"item_id": "wal-0726-100",
"msku": "wal-0726-100",
"title": "FBSPORT Round Inflatable Air Gymnastics Mat Tr with Pump",
"local_name": "wjc14_pm",
"local_sku": "wjc14_sku",
"status_name": "PUBLISHED",
"store_id": "11000000001802",
"store_name": "test18自创walm店铺2号1",
"currency_icon": "$",
"price": "139.90",
"available_quantity": 12,
"quantityAdjustAfter": null,
"quantityAdjustBefore": null,
"quantityUserId": null,
"quantityUserIdName": "",
"wfs_available_quantity": 32,
"buy_box_price": "139.90",
"buy_box_shipping_price": "0.00",
"gtin": "00723849594300",
"upc": "723849594300",
"product_tax_code": "2038710",
"offer_start_date": "2021-03-24 00:00:00",
"offer_end_date": "2049-12-30 00:00:00",
"review_count": "0",
"average_rating": "",
"brand": "FBsport",
"fulfillment_type": 2,
"fulfillment_type_name": "Seller Fulfilled",
"competitor_price": "139.99",
"competitor_ship_price": "0.00",
"listing_start_time": "2021-03-25 00:00:00",
"listing_end_time": "2022-02-23 00:00:00",
"variant_unique_id": "901209431054963712"
}
],
"total": 41275
}